<section [ngClass]="className().header">
  <div [ngClass]="jds.container">
    <div
      [ngClass]="[
        jds.d('flex'),
        jds.alignItems('center'),
        jds.py(40),
        jds.gap(48)
      ]"
    >
      @if (organization().logo !== null) {
        <img
          [ngClass]="[jds.object('contain')]"
          [alt]="organization().nama_skpd"
          [src]="env.backendURL + organization().logo"
          height="160"
          width="160"
          loading="lazy"
        />
      } @else {
        <img
          [alt]="organization().nama_skpd"
          src="http://placehold.it/160x160"
        />
      }

      <div [style.width.%]="70">
        <h5 [ngClass]="jds.mb(16)">{{ organization().nama_skpd }}</h5>

        @if (organization().description !== null) {
          <p [ngClass]="[jds.text('#757575'), jds.mb(16)]">
            {{ organization().description }}
          </p>
        }

        <div [ngClass]="[jds.d('flex'), jds.fs(16), jds.text('#757575')]">
          @if (organization().media_website) {
            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.me(16)]"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6)]"
                name="globe"
              />
              <span>
                {{ organization().media_website || '-' }}
              </span>
            </div>
          }

          @if (organization().phone) {
            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.me(16)]"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6)]"
                name="phone"
              />
              <span>
                {{ organization().phone || '-' }}
              </span>
            </div>
          }

          @if (organization().email) {
            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.me(16)]"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6)]"
                name="envelope"
              />
              <span>
                {{ organization().email || '-' }}
              </span>
            </div>
          }
        </div>
      </div>
    </div>
  </div>
</section>
